você está aqui: Home  → Arquivo de Mensagens

Ebook Gratuito: Dá para fazer em Shell?, com o Prof. Julio Neves

apt - como marcar um pacote para não ser atualizado

Colaboração: Rubens Queiroz de Almeida

Atualizações de um sistema podem ser complicadas. Veja por exemplo a atualização do php. Pode ser que você tenha aplicações vitais que são dependentes de uma determinada versão. Se você fizer a atualização automática, a versão do php pode ser elevada a um nível em que sistemas vitais para você parem de funcionar.

Mas você não pode ficar indefinidamente com versões obsoletas ou inseguras dos aplicativos do seu sistema.

Porém existe uma solução fornecida pelo gerenciador apt. Com o comando

$ sudo apt-mark hold php7.4

você evita que o pacote php7.4 seja atualizado automaticamente.

E caso esta restrição seja eliminada, você pode colocar o pacote php7.4 novamente na lista de pacotes que podem ser atualizados:

$ sudo apt-mark unhold php7.4

É claro que isto deve ser usado com moderação. Sempre que possível, tente utilizar as versões mais recentes dos aplicativos disponíveis. Se você ficar muito para trás com as atualizações você poderá acabar criando um sistema difícil de gerenciar e com falhas de segurança.

Usado com moderação, este recurso é uma mão na roda e evita muita dor de cabeça 😊

Referência: How to hold a package back with apt



Veja a relação completa dos artigos de Rubens Queiroz de Almeida